# FoundationClasses
TKMath
math

# math_Array1OfValueAndWeight Class Reference

`#include <math_Array1OfValueAndWeight.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_Array1OfValueAndWeight (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | math_Array1OfValueAndWeight (const math_ValueAndWeight &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const math_ValueAndWeight &V)
Standard_EXPORT void | Destroy ()
| ~math_Array1OfValueAndWeight ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const math_Array1OfValueAndWeight & | Assign (const math_Array1OfValueAndWeight &Other)
const math_Array1OfValueAndWeight & | operator= (const math_Array1OfValueAndWeight &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const math_ValueAndWeight &Value)
const math_ValueAndWeight & | Value (const Standard_Integer Index) const
const math_ValueAndWeight & | operator() (const Standard_Integer Index) const
math_ValueAndWeight & | ChangeValue (const Standard_Integer Index)
math_ValueAndWeight & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | math_Array1OfValueAndWeight (const math_Array1OfValueAndWeight &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT math_Array1OfValueAndWeight::math_Array1OfValueAndWeight | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT math_Array1OfValueAndWeight::math_Array1OfValueAndWeight | ( | const math_ValueAndWeight & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

math_Array1OfValueAndWeight::~math_Array1OfValueAndWeight | ( |  | ) | `[inline]`

Standard_EXPORT math_Array1OfValueAndWeight::math_Array1OfValueAndWeight | ( | const math_Array1OfValueAndWeight & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const math_Array1OfValueAndWeight& math_Array1OfValueAndWeight::Assign | ( | const math_Array1OfValueAndWeight & | Other | ) |

math_ValueAndWeight& math_Array1OfValueAndWeight::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void math_Array1OfValueAndWeight::Destroy | ( |  | ) |

Standard_EXPORT void math_Array1OfValueAndWeight::Init | ( | const math_ValueAndWeight & | V | ) |

Standard_Boolean math_Array1OfValueAndWeight::IsAllocated | ( |  | ) | const

Standard_Integer math_Array1OfValueAndWeight::Length | ( |  | ) | const

Standard_Integer math_Array1OfValueAndWeight::Lower | ( |  | ) | const

void math_Array1OfValueAndWeight::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_Array1OfValueAndWeight::operator new | ( | size_t | size | ) | `[inline]`

void* math_Array1OfValueAndWeight::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

math_ValueAndWeight& math_Array1OfValueAndWeight::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const math_ValueAndWeight& math_Array1OfValueAndWeight::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const math_Array1OfValueAndWeight& math_Array1OfValueAndWeight::operator= | ( | const math_Array1OfValueAndWeight & | Other | ) | `[inline]`

void math_Array1OfValueAndWeight::SetValue | ( | const Standard_Integer | Index,
|  | const math_ValueAndWeight & | Value
| ) |

Standard_Integer math_Array1OfValueAndWeight::Upper | ( |  | ) | const

const math_ValueAndWeight& math_Array1OfValueAndWeight::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean math_Array1OfValueAndWeight::isAllocated `[private]`

Standard_Integer math_Array1OfValueAndWeight::myLowerBound `[private]`

Standard_Address math_Array1OfValueAndWeight::myStart `[private]`

Standard_Integer math_Array1OfValueAndWeight::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- math_Array1OfValueAndWeight.hxx